#!/bin/ksh
#
# Conversion of AVHRR PFS (e.g. global dissemination "AVHR_xxx_1B") to .l1b
#
# Input files are concatenated then converted to .l1b
#
# In a real case you would need to decide which input files are needed to cover
# a particular region of interest. There are various ways to do this, e.g.
# using the times and a satpos file.
#
################################################################################

[ $AAPP_PREFIX ] || { echo "AAPP_PREFIX is not defined"; exit; }
[ -d "$AAPP_PREFIX" ] || { echo "AAPP_PREFIX is not a directory"; exit; }

. "$AAPP_PREFIX/ATOVS_CONF"               #AAPP environment

mkdir -p outfiles

cd infiles
rm -f avhrr.pfs

#Concatenate PFS files

files=$(ls -1)
for file in $files; do
  firstfile=${firstfile:-$file}
  lastfile=$file
  cat $file >>avhrr.pfs
done

#Create output file name using the names of the first and last input file

set $(IFS=_; echo $firstfile)
outfile=${1}_${2}_${3}_${4}_${5}
set $(IFS=_; echo $lastfile)
outfile=${outfile}_${6}.l1b

#Do the conversion

convert_avh1b avhrr.pfs ../outfiles/$outfile
rm -f avhrr.pfs
echo "output: "
ls -l ../outfiles

